GET /api/v3/workflow/approval

Get approval workflow settings

GetApprovalWorkflowV3 Permissions: BillsAndBatches (View)

Request Headers

Header Value Required Description
ECI-ApiKey string Yes Your API key. See Authentication.
Content-Type application/json Yes All requests must specify JSON content type.

Responses

200 OK The request succeeded and the response body contains the requested data.

Response Body Parameters

ApprovalWorkflowSettings
Property Description Type
approvalModeEnabled Whether the approval workflow step is enabled boolean
confirmEditDelete Whether confirmation is required before editing or deleting approved bills boolean
maximumApprovalAmount Maximum total cost that a user can approve without elevated permissions. Null means no limit. integer (int32)
Example Response application/json
{  "approvalModeEnabled": false,  "confirmEditDelete": false,  "maximumApprovalAmount": 1
}